Delete Record
curl --request DELETE \
--url https://api.dev.name.com/core/v1/domains/{domainName}/records/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dev.name.com/core/v1/domains/{domainName}/records/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dev.name.com/core/v1/domains/{domainName}/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bad Request",
"details": "'domainName' cannot be null"
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "The upstream server is taking too long to respond."
}DNS
Delete Record
Removes a DNS record by ID. Often used during cleanup operations or when replacing outdated DNS settings with updated records.
DELETE
/
core
/
v1
/
domains
/
{domainName}
/
records
/
{id}
Delete Record
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
DomainName is the zone that the record to be deleted exists in.
ID is the server-assigned unique identifier for the Record to be deleted. If the Record with that ID does not exist in the specified Domain, an error is returned.
Response
Record successfully deleted.
Was this page helpful?
⌘I